#!/usr/bin/python
# -*- coding: utf-8 -*-
#!/usr/bin/env python

import Image

def image_anonim(fname):
  #
  image_file = open(fname)
  image = Image.open(image_file)
  if 'PIL.JpegImagePlugin' in str(image) or 'PIL.PngImagePlugin' in str(image):	# Ellenőrzi a kép formátumát
    #
    data = list(image.getdata())
    image_without_exif = Image.new(image.mode, image.size)
    image_without_exif.putdata(data)
    #
    image_without_exif.save(fname)
    #
    print "\nA kép anonimizálva."
    return True
  else:
    print "\nA kép nem png vagy jpg formátumú."
    return False
  
def del_image(fname):
  image_file = open(fname,"w")
  image_file.close()
  #
  print "A kép törölve."